% add_texmf.cnf
% This file redefines various various as required to
% build TeX4HT from the literate sources
% It should be appended to the end of the default texmf.cnf

% Search default paths first
TEXINPUTS.tex = $TEXMF/tex/{plain,generic,}//;.
TEXINPUTS.latex = $TEXMF/tex/{latex,generic,}//;.
TEXINPUTS.elatex   = $TEXMF/tex/{latex,generic,}//;.
TEXINPUTS.etex     = $TEXMF/tex/{plain,generic,}//;.
TEXINPUTS = $TEXMF/tex/{$progname,generic,}//;.
 
% For TeX4HT search current directory first.
TEXINPUTS.tex4ht = .;$TEXMF/tex4ht//
TEXINPUTS.t4ht = .;$TEXMF/tex4ht/ht-fonts//
 
% The build requires more memory and resources
main_memory = 25000000 % words of inimemory available; also applies to inimf&mp
extra_mem_top = 4000000     % extra high memory for chars, tokens, etc.
extra_mem_bot = 8000000     % extra low memory for boxes, glue, breakpoints, etc.
 
font_mem_size = 5000000
 
hash_extra = 500000
 
pool_size = 3000000

string_vacancies = 200000

max_strings = 1500000

pool_free = 475000
 
trie_size = 300000
 
buf_size = 300000

%% End Of add_texmf.cnf
